<?php

namespace AppBundle\Entity\Organization;

use AppBundle\Entity\AccessAndFunction\Access;
use Doctrine\ORM\Mapping as ORM;
use Dunglas\ApiBundle\Annotation\Iri;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;
use AppBundle\Entity\Traits\TimestampableEntity;
use AppBundle\Entity\Traits\CreatorUpdaterEntity;

/**
 *
 * @Iri("http://schema.org/CotisationStaffInfos")
 */
#[ORM\Entity]
class CotisationStaffInfos
{
    use TimestampableEntity;
    use CreatorUpdaterEntity;
    /**
     * @var int
     */
    #[ORM\Column(type: 'integer')]
    #[ORM\Id]
    #[ORM\GeneratedValue(strategy: 'AUTO')]
    #[Groups(['cotisationstaffinfos'])]
    private $id;
    /**
     * @var Organization
     */
    #[ORM\OneToOne(targetEntity: 'AppBundle\Entity\Organization\CotisationByYear', inversedBy: 'cotisationStaffInfos', fetch: 'EAGER')]
    #[Groups(['cotisationstaffinfos'])]
    private $cotisationByYear;
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['cotisationstaffinfos', 'organization_cotisation_steps_cotisationbyyears'])]
    private $numberOfEmployees;
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['cotisationstaffinfos', 'organization_cotisation_steps_cotisationbyyears'])]
    private $numberOfTeachers;
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['cotisationstaffinfos', 'organization_cotisation_steps_cotisationbyyears'])]
    private $totalFullTimeEquivalents;
    #[ORM\Column(type: 'integer', nullable: true)]
    #[Assert\Type(type: 'integer', message: 'invalid-integer')]
    #[Groups(['cotisationstaffinfos', 'organization_cotisation_steps_cotisationbyyears'])]
    private $numberOfMinors;
    /**
     * Sets id.
     *
     * @param int $id
     *
     * @return $this
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }
    /**
     * Gets id.
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set numberOfEmployees
     *
     * @param integer $numberOfEmployees
     *
     * @return CotisationStaffInfos
     */
    public function setNumberOfEmployees($numberOfEmployees)
    {
        $this->numberOfEmployees = $numberOfEmployees;

        return $this;
    }
    /**
     * Get numberOfEmployees
     *
     * @return integer
     */
    public function getNumberOfEmployees()
    {
        return $this->numberOfEmployees;
    }
    /**
     * Set numberOfTeachers
     *
     * @param integer $numberOfTeachers
     *
     * @return CotisationStaffInfos
     */
    public function setNumberOfTeachers($numberOfTeachers)
    {
        $this->numberOfTeachers = $numberOfTeachers;

        return $this;
    }
    /**
     * Get numberOfTeachers
     *
     * @return integer
     */
    public function getNumberOfTeachers()
    {
        return $this->numberOfTeachers;
    }
    /**
     * Set totalFullTimeEquivalents
     *
     * @param integer $totalFullTimeEquivalents
     *
     * @return CotisationStaffInfos
     */
    public function setTotalFullTimeEquivalents($totalFullTimeEquivalents)
    {
        $this->totalFullTimeEquivalents = $totalFullTimeEquivalents;

        return $this;
    }
    /**
     * Get totalFullTimeEquivalents
     *
     * @return integer
     */
    public function getTotalFullTimeEquivalents()
    {
        return $this->totalFullTimeEquivalents;
    }
    /**
     * Set numberOfMinors
     *
     * @param integer $numberOfMinors
     *
     * @return CotisationStaffInfos
     */
    public function setNumberOfMinors($numberOfMinors)
    {
        $this->numberOfMinors = $numberOfMinors;

        return $this;
    }
    /**
     * Get numberOfMinors
     *
     * @return integer
     */
    public function getNumberOfMinors()
    {
        return $this->numberOfMinors;
    }
    /**
     * Set cotisationByYear
     *
     * @param \AppBundle\Entity\Organization\CotisationByYear $cotisationByYear
     *
     * @return CotisationStaffInfos
     */
    public function setCotisationByYear(\AppBundle\Entity\Organization\CotisationByYear $cotisationByYear = null)
    {
        $this->cotisationByYear = $cotisationByYear;

        return $this;
    }
    /**
     * Get cotisationByYear
     *
     * @return \AppBundle\Entity\Organization\CotisationByYear
     */
    public function getCotisationByYear()
    {
        return $this->cotisationByYear;
    }
}
